Bug 2016367

Summary: Empty task box is getting created for a pipeline without finally task
Product: OpenShift Container Platform Reporter: Veeresh Aradhya <varadhya>
Component: Dev ConsoleAssignee: Debsmita Santra <dsantra>
Status: CLOSED ERRATA QA Contact: spathak <spathak>
Severity: low Docs Contact:
Priority: medium    
Version: 4.9CC: aos-bugs, dsantra, nmukherj
Target Milestone: ---   
Target Release: 4.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-10 16:21:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
Screenshot of pipeline none

Description Veeresh Aradhya 2021-10-21 12:18:55 UTC
Created attachment 1835578 [details]
Screenshot of pipeline

Description of problem:
When a pipeline is created using Pipeline builder, an empty task box is getting created if finally task is not added

Version-Release number of selected component (if applicable):
OCP Version: 4.9
Openshift Pipelines Version: 1.6 (nightly build)


How reproducible:


Steps to Reproduce:
1. Create a pipeline without finally task using pipeline builder

Actual results:
Pipeline is getting created with a blank task box

Expected results:
Pipeline should get created without a blank task box

Comment 3 spathak@redhat.com 2021-12-06 08:37:10 UTC
Verified on build version: 4.10.0-0.ci-2021-12-04-104040
Browser version: chrome 90

Comment 7 errata-xmlrpc 2022-03-10 16:21:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056